DOM Level 3 API: Interface DOMErrorHandler

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom3
Interface DOMErrorHandler

public interface DOMErrorHandler

`DOMErrorHandler` is a callback interface that the DOM implementation can call when reporting errors that happens while processing XML data, or when doing some other processing (e.g. validating a document). A `DOMErrorHandler` object can be attached to a `Document` using the "error-handler" on the `DOMConfiguration` interface. If more than one error needs to be reported during an operation, the sequence and numbers of the errors passed to the error handler are implementation dependent.

The application that is using the DOM implementation is expected to implement this interface.

See also the Document Object Model (DOM) Level 3 Core Specification.

Since:
  DOM Level 3

Method Summary
`boolean` | `handleError(DOMError error)` This method is called on the error handler when an error occurs.

Method Detail

### handleError

    public boolean handleError(DOMError error)

  This method is called on the error handler when an error occurs.
  If an exception is thrown from this method, it is considered to be equivalent of returning `true`.
  Parameters:
    `error` - The error object that describes the error. This object may be reused by the DOM implementation across multiple calls to the `handleError` method.
  Returns:
    If the `handleError` method returns `false`, the DOM implementation should stop the current processing when possible. If the method returns `true`, the processing may continue depending on `DOMError.severity`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.